Autor Tópico: Erro em pacotes na instalação do Unity  (Lida 271 vezes)

Offline @rimura

  • Usuário Ubuntu
  • *
  • Mensagens: 19
    • Ver perfil
Erro em pacotes na instalação do Unity
« Online: 25 de Novembro de 2018, 16:16 »
Ola,

Estou tentando instalar o Unity no ubuntu 18.04 (Pq o Gnome não presta) e apresenta os problemas de pacotes abaixo:

arimura@Aribook:~$ sudo apt-get install ubuntu-unity-desktop
Lendo listas de pacotes... Pronto
Construindo árvore de dependências       
Lendo informação de estado... Pronto
Alguns pacotes não puderam ser instalados. Isto pode significar que
você solicitou uma situação impossível ou, se você está usando a
distribuição instável, que alguns pacotes requeridos não foram
criados ainda ou foram retirados da "Incoming".
A informação a seguir pode ajudar a resolver a situação:

Os pacotes a seguir têm dependências desencontradas:
 ubuntu-unity-desktop : Depende: doc-base mas não é instalável
                        Depende: gstreamer1.0-plugins-bad mas não será instalado
                        Depende: lightdm mas não é instalável
                        Depende: notify-osd mas não é instalável
                        Depende: unity mas não é instalável
                        Depende: unity-greeter mas não é instalável
                        Depende: unity-lens-applications mas não é instalável
                        Depende: unity-lens-files mas não é instalável
                        Depende: unity-scopes-runner mas não é instalável
                        Depende: unity-session mas não será instalado
                        Depende: zeitgeist-core mas não é instalável
                        Depende: zeitgeist-datahub mas não é instalável
                        Recomenda: a11y-profile-manager-indicator mas não é instalável
                        Recomenda: activity-log-manager mas não é instalável
                        Recomenda: ffmpegthumbnailer mas não é instalável
                        Recomenda: geary mas não é instalável
                        Recomenda: gnome-calculator mas não será instalado
                        Recomenda: gnome-logs mas não é instalável
                        Recomenda: gnome-mpv mas não é instalável
                        Recomenda: gnome-screensaver mas não é instalável
                        Recomenda: gnome-system-log mas não é instalável
                        Recomenda: gnome-system-monitor mas não será instalado
                        Recomenda: gnome-system-tools mas não é instalável
                        Recomenda: gucharmap mas não é instalável
                        Recomenda: onboard mas não é instalável
                        Recomenda: overlay-scrollbar-gtk2 mas não é instalável
                        Recomenda: ppa-purge mas não é instalável
                        Recomenda: qt-at-spi mas não é instalável
                        Recomenda: sni-qt mas não é instalável
                        Recomenda: synaptic mas não é instalável
                        Recomenda: unity-accessibility-profiles mas não é instalável
                        Recomenda: whoopsie mas não é instalável
                        Recomenda: xterm mas não é instalável
E: Impossível corrigir problemas, você manteve (hold) pacotes quebrados.
arimura@Aribook:~$

Alguém poderia me ajudar?

Abraço.

Offline galactus

  • Equipe Ubuntu
  • Usuário Ubuntu
  • *****
  • Mensagens: 4.635
    • Ver perfil
Re:Erro em pacotes na instalação do Unity
« Resposta #1 Online: 26 de Novembro de 2018, 12:20 »
Olá @rimura.

Eu tenho o Ubuntu MAte 18.04 instalado aqui e se eu executar o mesmo comando que você executou "apt-get install ubuntu-unity-desktop", ele não mostra erro algum.

Pelos erros mostrados por você tudo indica que você andou misturando lista de repositórios aí.

Adcionou muitos PPAs na sua lista de respositórios?

Favor copiar e colar a saída dos seguintes comandos aqui:


cat /etc/apt/sources.list


ls /etc/apt/sources.list.d/
Ubuntu  Mate 18.04 64bits

Offline @rimura

  • Usuário Ubuntu
  • *
  • Mensagens: 19
    • Ver perfil
Re:Erro em pacotes na instalação do Unity
« Resposta #2 Online: 26 de Novembro de 2018, 21:51 »
Olá Galactus!

Segue abaixo as repectivas saídas para cada comando

arimura@Aribook:~$ sudo cat /etc/apt/sources.list
# deb cdrom:[Ubuntu 18.04 LTS _Bionic Beaver_ - Release amd64 (20180426)]/ bionic main restricted

# See http://help.ubuntu.com/community/UpgradeNotes for how to upgrade to
# newer versions of the distribution.
deb http://br.archive.ubuntu.com/ubuntu/ bionic main restricted
# deb-src http://br.archive.ubuntu.com/ubuntu/ bionic main restricted

## Major bug fix updates produced after the final release of the
## distribution.
deb http://br.archive.ubuntu.com/ubuntu/ bionic-updates main restricted
# deb-src http://br.archive.ubuntu.com/ubuntu/ bionic-updates main restricted

## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
## team. Also, please note that software in universe WILL NOT receive any
## review or updates from the Ubuntu security team.
deb http://br.archive.ubuntu.com/ubuntu/ bionic universe
# deb-src http://br.archive.ubuntu.com/ubuntu/ bionic universe
deb http://br.archive.ubuntu.com/ubuntu/ bionic-updates universe
# deb-src http://br.archive.ubuntu.com/ubuntu/ bionic-updates universe

## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
## team, and may not be under a free licence. Please satisfy yourself as to
## your rights to use the software. Also, please note that software in
## multiverse WILL NOT receive any review or updates from the Ubuntu
## security team.
deb http://br.archive.ubuntu.com/ubuntu/ bionic multiverse
# deb-src http://br.archive.ubuntu.com/ubuntu/ bionic multiverse
deb http://br.archive.ubuntu.com/ubuntu/ bionic-updates multiverse
# deb-src http://br.archive.ubuntu.com/ubuntu/ bionic-updates multiverse

## N.B. software from this repository may not have been tested as
## extensively as that contained in the main release, although it includes
## newer versions of some applications which may provide useful features.
## Also, please note that software in backports WILL NOT receive any review
## or updates from the Ubuntu security team.
deb http://br.archive.ubuntu.com/ubuntu/ bionic-backports main restricted universe multiverse
# deb-src http://br.archive.ubuntu.com/ubuntu/ bionic-backports main restricted universe multiverse

## Uncomment the following two lines to add software from Canonical's
## 'partner' repository.
## This software is not part of Ubuntu, but is offered by Canonical and the
## respective vendors as a service to Ubuntu users.
deb http://archive.canonical.com/ubuntu bionic partner
deb-src http://archive.canonical.com/ubuntu bionic partner

deb http://security.ubuntu.com/ubuntu bionic-security main restricted
# deb-src http://security.ubuntu.com/ubuntu bionic-security main restricted
deb http://security.ubuntu.com/ubuntu bionic-security universe
# deb-src http://security.ubuntu.com/ubuntu bionic-security universe
deb http://security.ubuntu.com/ubuntu bionic-security multiverse
# deb-src http://security.ubuntu.com/ubuntu bionic-security multiverse


E

arimura@Aribook:~$ ls /etc/apt/sources.list.d/
artfwo-ubuntu-ppa-bionic.list
artfwo-ubuntu-ppa-bionic.list.save
google-chrome.list
google-chrome.list.save
linrunner-ubuntu-tlp-bionic.list
linrunner-ubuntu-tlp-bionic.list.save
oibaf-ubuntu-graphics-drivers-bionic.list
oibaf-ubuntu-graphics-drivers-bionic.list.save
relan-ubuntu-exfat-bionic.list
relan-ubuntu-exfat-bionic.list.save
teamviewer.list
teamviewer.list.save
unity7maintainers-ubuntu-unity7-desktop-bionic.list
webupd8team-ubuntu-java-bionic.list
webupd8team-ubuntu-java-bionic.list.save

Se eu desabilitar todos PPAs da lista de repositório passa?

Valeu o contato!

Forte abraço.


Offline galactus

  • Equipe Ubuntu
  • Usuário Ubuntu
  • *****
  • Mensagens: 4.635
    • Ver perfil
Re:Erro em pacotes na instalação do Unity
« Resposta #3 Online: 27 de Novembro de 2018, 10:04 »
Bingo!!!

unity7maintainers-ubuntu-unity7-desktop-bionic.list

 
“Unity7 Maintainers Team” team
Ubuntu-Unity-19.04-Testing

PPA description
Testing and experimental packages for Unity-7 desktop


Já passou o cartão, né!?!?

Remova este PPA, atualize sua lista de repositórios e tente novamente.  Se continuar com essas mensagens:

Depende: XYZ mas não será instalado

Tem mais pacotes de PPA em conflito com os do repositório oficial.

No aguardo.

Ubuntu  Mate 18.04 64bits

Offline @rimura

  • Usuário Ubuntu
  • *
  • Mensagens: 19
    • Ver perfil
Re:Erro em pacotes na instalação do Unity
« Resposta #4 Online: 27 de Novembro de 2018, 13:44 »
Galactus,

Segue:

arimura@Aribook:~$ sudo apt-get install ubuntu-unity-desktop
Lendo listas de pacotes... Pronto
Construindo árvore de dependências       
Lendo informação de estado... Pronto
E: Impossível encontrar o pacote ubuntu-unity-desktop


Offline galactus

  • Equipe Ubuntu
  • Usuário Ubuntu
  • *****
  • Mensagens: 4.635
    • Ver perfil
Re:Erro em pacotes na instalação do Unity
« Resposta #5 Online: 27 de Novembro de 2018, 17:33 »
Caro arimura San, você atualizou a lista de repositórios antes?
Só para ter certeza, eu li aí na sua lista, mas não custa nada verificar novamente se os repositórios Main, Universe, restricted e Multiverse estão ativos aí para você antes de executar os seguintes comandos:

sudo apt-get clean
sudo apt-get autoclean
sudo apt-get update
sudo apt-get install ubuntu-unity-desktop


Favor colar as saídas dos comandos aqui!

No aguardo!
Ubuntu  Mate 18.04 64bits

Offline @rimura

  • Usuário Ubuntu
  • *
  • Mensagens: 19
    • Ver perfil
Re:Erro em pacotes na instalação do Unity
« Resposta #6 Online: 04 de Dezembro de 2018, 18:26 »
Blz Galactus?

Resolvi!!!
Formatei e instalei o 18.10.
O 18.04 é equivalente ao desastre do Windows 8... uma bela porcaria.
O 18.10 está ótimo sem travamento, kernel batendo cabeça com o Gnome e etc...
Nem preciso instalar o Unity!

Valeu, forte abraço!

Offline galactus

  • Equipe Ubuntu
  • Usuário Ubuntu
  • *****
  • Mensagens: 4.635
    • Ver perfil
Re:Erro em pacotes na instalação do Unity
« Resposta #7 Online: 05 de Dezembro de 2018, 18:48 »
Blz então!
Ubuntu  Mate 18.04 64bits